Bug 801963 - [abrt] shotwell-0.12.0-0.1.20111117gitcf087489ea.fc17: strcmp: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.12.0-0.1.20111117gitcf087489ea.fc17: strcmp: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:74ef1d8cb98eba2326916b615be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 18:55 EST by Xaver Hellauer
Modified: 2013-07-31 23:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (17.28 KB, text/plain)
2012-03-09 18:55 EST, Xaver Hellauer
no flags Details
File: build_ids (6.65 KB, text/plain)
2012-03-09 18:55 EST, Xaver Hellauer
no flags Details
File: maps (88.68 KB, text/plain)
2012-03-09 18:55 EST, Xaver Hellauer
no flags Details
File: backtrace (100.03 KB, text/plain)
2012-03-09 18:55 EST, Xaver Hellauer
no flags Details

  None (edit)
Description Xaver Hellauer 2012-03-09 18:55:06 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
comment:        Attempt to publish an image to flickr failed
crash_function: strcmp
executable:     /usr/bin/shotwell
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
pid:            23427
pwd:            /home/xha
reason:         Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
time:           Sa 10 Mär 2012 00:34:02 CET
uid:            1000
username:       xha
xsession_errors: 

backtrace:      Text file, 102430 bytes
build_ids:      Text file, 6806 bytes
dso_list:       Text file, 17691 bytes
maps:           Text file, 90805 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ardbeg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/zsh
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8ec5c22301077c7a3d27b60e0000001b-1331312798.713814-1312545313
:GNOME_KEYRING_CONTROL=/tmp/keyring-E1qqH7
:IMSETTINGS_MODULE=none
:USER=xha
:USERNAME=xha
:MAIL=/var/spool/mail/xha
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xha/bin
:QT_IM_MODULE=xim
:PWD=/
:XMODIFIERS=@im=none
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=1020
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=0
:HOME=/home/xha
:XDG_SEAT=seat0
:LOGNAME=xha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mtDCCAs5Ne,guid=ea133ee451f27eebc440ea3f00000032
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/xha
:XAUTHORITY=/var/run/gdm/auth-for-xha-X16uku/database
:OLDPWD=/
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1022,unix/unix:/tmp/.ICE-unix/1022
:GPG_AGENT_INFO=/tmp/keyring-E1qqH7/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-E1qqH7/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:G_MESSAGES_DEBUG=all
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=23427

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 934c0aa9-0768-42df-9f58-d3b66bc573ae
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4800.09
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Celeron(R) CPU        E3200  @ 2.40GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2403
:Systemspeicher: 3946
:System-Swap: 2054
:Anbieter: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7529 1.0
:Form-Faktor: Desktop
:Kernel: 3.3.0-0.rc6.git0.2.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10688:5218:29993) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10202:5218:29993) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:5218:29993) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10207:5218:29993) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10168:5218:29993) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33078:5218:29993) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10185:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:9294:5218:29993) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10187:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4254:878:5435:4391) pci, bttv, MULTIMEDIA_VIDEO, Bt878 Video Capture
:(4254:2168:5435:4391) pci, None, MULTIMEDIA, Bt878 Audio Capture
:(4281:21049:4281:21049) pci, ehci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(32902:10690:5218:29993) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10192:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5218:29993) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10184:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10188:5218:29993) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3664271 1899583 1862889 917504 762111 762111
:/dev/sda3 /home ext4 4096 4096 35963437 11725739 9925138 9003008 8882536 8882536
:/dev/sdb1 WITHHELD ext4 4096 4096 121965830 7606738 1501919 30531584 30501264 30501264
:

var_log_messages:
:Mar 10 00:34:02 ardbeg kernel: [23293.287305] shotwell[23427]: segfault at 51 ip 0000003dc293989a sp 00007fff73ae2ce8 error 4 in libc-2.15.so[3dc2800000+1ac000]
:Mar 10 00:34:06 ardbeg abrt[24028]: Saved core dump of pid 23427 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-03-10-00:34:02-23427 (319049728 bytes)
Comment 1 Xaver Hellauer 2012-03-09 18:55:11 EST
Created attachment 569018 [details]
File: dso_list
Comment 2 Xaver Hellauer 2012-03-09 18:55:14 EST
Created attachment 569019 [details]
File: build_ids
Comment 3 Xaver Hellauer 2012-03-09 18:55:16 EST
Created attachment 569020 [details]
File: maps
Comment 4 Xaver Hellauer 2012-03-09 18:55:19 EST
Created attachment 569021 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-07-03 20:19:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:52:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.